package com.gic.haoban.manage.service.dao.mapper.role;

import com.gic.haoban.manage.service.entity.role.TabHaobanRoleMenu;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 好办小程序菜单(TabHaobanRoleMenu)表数据库访问层
 *
 * @author mozhu
 * @since 2022-09-06 16:35:10
 */
public interface TabHaobanRoleMenuMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param menuId 主键
     * @return 实例对象
     */
    TabHaobanRoleMenu queryById(Long menuId);

    /**
     * 新增数据
     *
     * @param tabHaobanRoleMenu 实例对象
     * @return 影响行数
     */
    int insert(TabHaobanRoleMenu tabHaobanRoleMenu);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<TabHaobanRoleMenu> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<TabHaobanRoleMenu> entities);

    /**
     * 修改数据
     *
     * @param tabHaobanRoleMenu 实例对象
     * @return 影响行数
     */
    int update(TabHaobanRoleMenu tabHaobanRoleMenu);

}

