package com.gic.haoban.manage.service.service.role.impl;

import com.gic.haoban.manage.service.dao.mapper.role.TabHaobanRoleMenuMapper;
import com.gic.haoban.manage.service.entity.role.TabHaobanRoleMenu;
import com.gic.haoban.manage.service.service.role.HaobanRoleMenuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 好办小程序菜单(TabHaobanRoleMenu)表服务实现类
 *
 * @author mozhu
 * @since 2022-09-06 16:35:11
 */
@Service
public class HaobanRoleMenuServiceImpl implements HaobanRoleMenuService {

    @Autowired
    private TabHaobanRoleMenuMapper tabHaobanRoleMenuMapper;

    /**
     * 通过ID查询单条数据
     *
     * @param menuId 主键
     * @return 实例对象
     */
    @Override
    public TabHaobanRoleMenu queryById(Long menuId) {
        return this.tabHaobanRoleMenuMapper.queryById(menuId);
    }


    /**
     * 新增数据
     *
     * @param tabHaobanRoleMenu 实例对象
     * @return 实例对象
     */
    @Override
    public TabHaobanRoleMenu insert(TabHaobanRoleMenu tabHaobanRoleMenu) {
        this.tabHaobanRoleMenuMapper.insert(tabHaobanRoleMenu);
        return tabHaobanRoleMenu;
    }

    /**
     * 修改数据
     *
     * @param tabHaobanRoleMenu 实例对象
     * @return 实例对象
     */
    @Override
    public TabHaobanRoleMenu update(TabHaobanRoleMenu tabHaobanRoleMenu) {
        this.tabHaobanRoleMenuMapper.update(tabHaobanRoleMenu);
        return this.queryById(tabHaobanRoleMenu.getMenuId());
    }

    /**
     * 通过主键删除数据
     *
     * @param menuId 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Long menuId) {
        return false;
    }
}
